## org.eclipse.amp.escape.ascape.chart
Class ChartCustomizer.StatTableItemProvider

    java.lang.Object
      LabelProvider
          org.eclipse.amp.escape.ascape.chart.ChartCustomizer.StatTableItemProvider

Enclosing class:
  ChartCustomizer

     class ChartCustomizer.StatTableItemProvider

extends LabelProvider

The Class StatTableItemProvider.

Constructor Summary
`ChartCustomizer.StatTableItemProvider()`

Method Summary
`Image` `getColumnImage(java.lang.Object element, int columnIndex)`
`java.lang.String` `getColumnText(java.lang.Object element, int columnIndex)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChartCustomizer.StatTableItemProvider

    ChartCustomizer.StatTableItemProvider()

Method Detail

### getColumnText

    public java.lang.String getColumnText(java.lang.Object element,
                                          int columnIndex)

  Parameters:
    `element` -
    `columnIndex` -
  Returns:
  See Also:
    `org.eclipse.jface.viewers.ITableLabelProvider#getColumnText(java.lang.Object, int)`

### getColumnImage

    public Image getColumnImage(java.lang.Object element,
                                int columnIndex)

  Parameters:
    `element` -
    `columnIndex` -
  Returns:
  See Also:
    `org.eclipse.jface.viewers.ITableLabelProvider#getColumnImage(java.lang.Object, int)`

Copyright (C) 2007-2009 Metascape, LLC, 2009 Miles Parker, 2006-2007 Argonne National Labs, and Contributors